'use strict';

var _ = require('lodash');

/**
 * @function
 * @public
 *
 * @description
 * Get Link header value based on pagination links
 *
 * @param {Object.<?string>} links The entity/href mapping of pagination links
 * @returns {string} Parsed Link header value if links available
 */
function getLinkHeader(links) {
  var linkHeader = [];

  _.forOwn(links, function (link, entity) {
    if (entity !== 'self') {
      linkHeader.push('<' + link.href + '>; rel="' + entity + '"');
    }
  });

  return linkHeader.join(', ') || undefined;
}

module.exports = {
  getLink: getLinkHeader
};